/* 
 * File:   FinalProject.h
 * Author: goofanader
 *
 * Created on May 29, 2012, 3:35 PM
 */

#ifndef FINALPROJECT_H
#define	FINALPROJECT_H

#include "glm/glm.hpp"
#include "RenderingHelper.h"
#include "State.h"

void SetModel(RenderingHelper ModelTrans);
void setColors(int mode, vec3 ambColor);
int getShade();
int getCloudShade();
float getWidth();
float getHeight();
float getTrans();
float getAngle();

float p2wx(int pixel_x);
float p2wy(int pixel_y);

int w2px(float world_x);
int w2py(float world_y);

void advanceState(State* newState);

#endif	/* FINALPROJECT_H */

