/* 
 * File:   GameOver.h
 * Author: alex
 *
 * Created on June 6, 2012, 4:48 PM
 */

#ifndef GAMEOVER_H
#define	GAMEOVER_H

#include "State.h"
#include "Game.h"

class GameOver : public State
{
public:
    GameOver(long dist);
    GameOver(const GameOver& orig);
    virtual ~GameOver();

    void draw();
    void update();

    void mouseClicked(int button, int state, int x, int y);
private:
    long distance;

    float scale;
    float rotation;

    bool reverse;
};

#endif	/* GAMEOVER_H */

