/* 
 * File:   Baseball.h
 * Author: alex
 *
 * Created on June 3, 2012, 6:23 PM
 */

#ifndef BASEBALL_H
#define	BASEBALL_H

#include "../RenderingHelper.h"
#include "Textures.h"
#include <iostream>

class Baseball
{
public:
    Baseball();
    Baseball(const Baseball& orig);
    virtual ~Baseball();

    void setPosition(glm::vec3 newPosition);
    glm::vec3 getPosition();
    double getRadius();

    void drawBaseball();
    void updateBaseball();

    friend std::ostream& operator<<(std::ostream& s, const Baseball& b);
private:
    glm::vec3 position;
    
    float rotation;
    
    GLuint textureid;
};

#endif	/* BASEBALL_H */

