/* 
 * File:   Cloud.h
 * Author: goofanader
 *
 * Created on June 7, 2012, 10:13 AM
 */

#ifndef CLOUD_H
#define	CLOUD_H

#include "Enemy.h"
#include "../FinalProject.h"

#define MAX_SPHERES 20
#define MIN_SPHERES 3

class Cloud : public Enemy {
public:
    Cloud(glm::vec3 newPosition, glm::vec3 newVelocity, glm::vec3 newAcceleration);
    Cloud(const Cloud& orig);
    virtual ~Cloud();
    void drawEnemy();
    double getRadius();
    bool isCloud();
private:
    int numSpheres;
    vec3 spherePos[MAX_SPHERES];
    vec3 sphereScale[MAX_SPHERES];
    float sphereAngle[MAX_SPHERES];
    vec3 sphereAngleAxis[MAX_SPHERES];
    int sphereType[MAX_SPHERES];
};

#endif	/* CLOUD_H */

