/* 
 * File:   enemyClass.cpp
 * Author: goofanader
 * 
 * Created on May 23, 2012, 4:22 PM
 */

#include "Enemy.h"
#include <iostream>

Enemy::~Enemy()
{

}

void Enemy::updateEnemy()
{
    position = position + velocity;
    velocity = velocity + acceleration;
}

bool Enemy::isCloud()
{
    return false;
}

std::ostream& operator<<(std::ostream& s, const Enemy& e)
{
    return s
            << "Position: " << e.position.x << ", " << e.position.y << ", " << e.position.z << "\n"
            << "Velocity: " << e.velocity.x << ", " << e.velocity.y << ", " << e.velocity.z << "\n"
            << "Acceleration: " << e.acceleration.x << ", " << e.acceleration.y << ", " << e.acceleration.z << "\n"
            << "ScaleFactor: " << e.scaleFactor.x << ", " << e.scaleFactor.y << ", " << e.scaleFactor.z << "\n"
            << "Color: " << e.color.x << ", " << e.color.y << ", " << e.color.z;
}