/* 
 * File:   Plane.h
 * Author: goofanader
 *
 * Created on June 6, 2012, 5:05 PM
 */

#ifndef PLANE_H
#define	PLANE_H

#include <stdlib.h>
#include <stdio.h>

#include "../GLSL_helper.h"
#include "../glm/glm.hpp"
#include "../glm/gtc/matrix_transform.hpp" //perspective, trans etc
#include "../glm/gtc/type_ptr.hpp" //value_ptr
#include "../RenderingHelper.h"
#include "../FinalProject.h"

#include "Enemy.h"

class Plane : public Enemy
{
public:
    Plane(glm::vec3 newPosition, glm::vec3 newVelocity, glm::vec3 newAcceleration);
    Plane(const Plane& orig);
    virtual ~Plane();

    void drawEnemy();
    void updateEnemy();
    double getRadius();
private:
    float bladeRotation;

};

#endif	/* PLANE_H */

