/* 
 * File:   State.h
 * Author: alex
 *
 * Created on June 6, 2012, 12:07 PM
 */

#ifndef STATE_H
#define	STATE_H

class State
{
public:
    State();
    State(const State& orig);
    virtual ~State();

    virtual void draw();
    virtual void update();

    virtual void mouseClicked(int button, int state, int x, int y);
    virtual void mouseMoved(int x, int y);

    virtual void pause();
    virtual void resume();
    bool isPaused();
private:
    bool paused;
};

#endif	/* STATE_H */

