/* 
 * File:   bird.h
 * Author: goofanader
 *
 * Created on May 23, 2012, 4:31 PM
 */

#ifndef BIRD_H
#define	BIRD_H

#include <stdlib.h>
#include <stdio.h>

#include "../GLSL_helper.h"
#include "../glm/glm.hpp"
#include "../glm/gtc/matrix_transform.hpp" //perspective, trans etc
#include "../glm/gtc/type_ptr.hpp" //value_ptr
#include "../RenderingHelper.h"

#include "Enemy.h"

class Bird : public Enemy
{
public:
    Bird(glm::vec3 newPosition, glm::vec3 newVelocity, glm::vec3 newAcceleration);
    void drawEnemy();
    void updateEnemy();
    double getRadius();
    Bird(const Bird& orig);
    virtual ~Bird();
private:
    float wingFlapAngle;
    float wingFlapDirection;
};

#endif	/* BIRD_H */

