uniform mat4 uModelMatrix;
uniform mat4 uViewMatrix;
uniform mat4 uProjMatrix;

void main() {
  vec4 vPosition, vWorldPos;

  // First model transforms //
  vPosition = uModelMatrix * gl_Vertex;
  vWorldPos = vPosition;
  vPosition = uViewMatrix * vPosition;
  gl_Position = uProjMatrix * vPosition;

  gl_TexCoord[0] = gl_MultiTexCoord0;
}