/*
 * File:   Texture.h
 * Author: goofanader
 *
 * Created on June 6, 2012, 3:49 PM
 */

#ifndef TEXTURE_H
#define	TEXTURE_H

#include "../GLSL_helper.h"
#include "../glm/glm.hpp"
#include "../glm/gtc/matrix_transform.hpp" //perspective, trans etc
#include "../glm/gtc/type_ptr.hpp" //value_ptr
#include "../RenderingHelper.h"

    /* class to store the image data*/
class MyImage
{
public:
    unsigned long sizeX;
    unsigned long sizeY;
    unsigned char *data;

    MyImage()
    {
    }
    ~MyImage();
};

    GLvoid LoadTexture(char* image_file, int texID);

#endif	/* TEXTURE_H */

